<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
RepMgrStats Members
RepMgrStats Class Methods Properties See Also Send Feedback

The RepMgrStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| AutoTakeovers | Number of automatic replication process takeovers.
| DroppedConnections | Existing connections dropped.
| DroppedMessages | Number of messages discarded due to excessive queue length.
| ElectionThreads | Number of currently active election threads
| FailedConnections | Failed new connection attempts.
| FailedMessages | Number of insufficiently acknowledged messages.
| IncomingDroppedMessages | Number of msgs discarded due to incoming queue full.
| IncomingQueueBytes | Incoming queue size: Gytes.
| IncomingQueueGBytes | Incoming queue size: Gigabytes.
| MaxElectionThreads | Election threads for which space is reserved
| ParticipantSites | Number of replication group participant sites.
| QueuedMessages | Number of messages queued for network delay.
| TotalSites | Total number of replication group sites.
| ViewSites | Number of replication group view sites.
| WriteOpsForwarded | Total number of outgoing write operations forwarded by this client.
| WriteOpsReceived | Total number of incoming forwarded write operations received by this master.

# See Also

RepMgrStats Class
BerkeleyDB Namespace